LEAPERone Docs

Voice & Conversation

Voice address recognition, conversational address inference

asr — Voice Address Recognition

Process ASR (Automatic Speech Recognition) transcribed address text and output standardized address information. Suitable for post-processing voice-input addresses.

curl -X POST https://api.leaper.one/v1/address/asr \
  -H "Authorization: Bearer sk-your-api-key" \
  -H "Content-Type: application/json" \
  -d '{"text": "杭州余杭文一西路九六九号"}'

inference — Conversational Address Inference

Identify addresses through multi-turn conversational reasoning, returning the top 3 candidate results. Suitable for smart customer service, voice assistants, and other conversational scenarios.

curl -X POST https://api.leaper.one/v1/address/inference \
  -H "Authorization: Bearer sk-your-api-key" \
  -H "Content-Type: application/json" \
  -d '{"text": "杭州那个阿里巴巴在的地方"}'